$(document).ready(function() {

	var checkMessages = false;
	var data;

	$('#errDialog').dialog({
		autoOpen: false,
		resizable: false,
		modal: false,
		width: 490,
		show: {
			effect: "fade",
			duration: 300
		} 
	});



	$('.dialogMyMessagesBtn').click(function() 
	{
		if(!checkMessages)
		{
			$.getJSON(URLdir + "handler/ErrMessages/getRequests", {}, function(data){
				if(typeof(data[0]) == "undefined")
					EventInspector_ShowMsg('Вы еще ничего не написали', 'error');
				else
				{
					var valHeight = 0;
					var num = data['num'];

					for(var i = 0; i <= num; ++i) 
					{
						$('.dialogMyMessages').append('<div class="request"><div class="dateReq">'+data[i]['Date']+' </div><div class="titleReq">'+data[i]['Title']+'</div></div>');
						valHeight += 23;								
					}
					$('.dialogMyMessages').animate({height: valHeight}, 500);
				}	
			});							

			checkMessages = true;
		}
		else
		{
			$('.dialogMyMessages').animate({height: "0px"}, 500).html('');
			checkMessages = false;	
		}
	});



	$('#dialogSendButton').click(function()
	{
		var mesTitle = $('#messageTitle').val();
		var mesText = $('#message').val();
		if(mesTitle.length == 0)
			EventInspector_ShowMsg('Вы не ввели тему сообщения', 'error');
		else if(mesText.length == 0)
			EventInspector_ShowMsg('Вы не ввели сообщение', 'error');
		else 
		{
			var thisObj = $(this);
    		$(this).attr("disabled", true);

			$.ajax({
					type: "POST",
					url: URLdir + "handler/ErrMessages/createRequest",       
					data: 	{	title: mesTitle, 
								text: mesText
							},
					success: function(data)
					{ 
						data = $.parseJSON(data);
						$('#messageTitle').val('');
						$('#message').val('');

						if(data.success === true)
							EventInspector_ShowMsg('Сообщение успешно отправлено!', 'success');
						else 
							EventInspector_ShowMsg('Сообщение не отправлено', 'error');
						thisObj.removeAttr('disabled');
					}
			});
		}					
	});	     



	$('#errButton').click(function()
	{
		$('.dialogMyMessages').animate({height: "0px"}, 0).html('');
		checkMessages = false;	
		$('#messageTitle').val('');
		$('#message').val('');
		$('#errDialog').dialog("open");             	
	});


});
